MINOVAES - PRODUCT - Feature #1464

[Widget] - TM Attendance
08/08/2022 01:41 PM - Fiona Avangeline Jonathan

Status: Closed

Priority: Urgent

Assignee: Fiona Avangeline Jonathan
Category:

Target version:

Start date: 08/08/2022
Due date:

% Done: 0%
Estimated time: 0.00 hour
Spent time: 6.00 hours

Description
Mang Wanto,

Berikut desain untuk widget TM Attendance.

1 Dan
Permiszion s !
Alpha s &0y
3 Days
sudah dibuatkan di table PCMEPGENPARAM.
Column Alias Table Qutp... Sort Type Sort Order Filter
StartDate PCMEPGE...
EndDate PCMEPGE...
Parameter PCMEPGE...
Sequence PCMEPGE...
4 Module PCMEPGE...
StartDate EndDate Parameter Sequence Module Operatorl  Valuel
20160101 99991231 WDGTIBADAH 1 Bl = 50,90,91
20160101 99991231 WDGTLEAVE 1 Bl = 01,02
20160101 99991231 WDGTMATERNITY 1 Bl = 30,31
20160101 99991231 WDGTPERMISSION 1 BI = 60,61
20160701 99991231 WDGTSICK 1 BI = 10,11,20,32,33,40,43

Or..

Operator?  Value2

0

1
0
1
1

Monthly Attendance Recap
Present _

23 Days

Or.. Or..

MNotes

Widget | Value 1 - Absence Type | Value 2 -
Widget | Value 1 - Absence Type | Value 2 -
Widget | Value 1 - Absence Type | Value 2 -
Widget | Value 1 - Absence Type | Value 2 -
Widget | Value 1 - Absence Type | Value 2 -

Active (1) / Not Active (0)
Active (1) / Not Active (0)
Active (1) / Not Active (0)
Active (1) / Not Active (0)
Active (1) / Not Active (0)

CreateBy
minovais
minovais
minovais
minovais

minavais

CreateDate
20160101010101
20160101010101
20160101010101
20160101010101
20160107010101
Mohon dibantu buatkan widget sesuai desain diatas dengan menampilkan data absensi karyawan. Pengelompokkan absence type

e

A

v
ChangeBy
minovais
minovais
minovais
minovais

minovais

Akan muncul grafik seperti desain untuk masing-masing parameter. Untuk melihat detail value1 bisa dilihat di tabel PHRTMABSTYP.




WIN-6PEH5TRPCM...dbo.PHRTMABSTYP > [N g Ryt s Lo A L Py WIN-6PEHSTRPCM....PCMEPGENPARAM™

StartDate EndDate AbsenceType AbsenceTypeDesc AbsenceQuotaType LeaveQuota QuotaDeduction PaidType Notes

20160107 99991231 01 Cuti Tahunan Direksi o 22 Y Paid Cuti Tahunan

20160107 99991231 02 Cuti Tahunan Karyawan " 10 Y Paid Cuti Tahunan

20160107 98991231 10 Perkawinan Karyawan 20 5 N Paid Perkawinan Karyawan

20160107 99991231 11 Perkawinan Anak 30 2 M Paid Perkawinan Anak

20160701 99991231 20 Khitan 50 2 N Paid Khitan

20160107 99991231 30 Karyawan Melahirkan 60 66 N Paid Karyawan Melahirkan

20160101 99991231 31 Karyawan Keguguran 70 45 N Paid Karyawan Keguguran

20160101 98991231 32 Istri Melahirkan/ Keguguran 80 5 N Paid Istri Melahirkan/ Keguguran

20160107 99991231 33 Karyawan Wisuda " 12 Y Paid Karyawan Wisuda

20160101 98991231 40 Suami/lstri, Anak, Orang Tua/Mertua/Menantu Meninggal Dunia 90 3 M Paid Suami/lstri, Anak, Orang Tua/Mertua/Menantu Meninggal Dunia
20160107 99991231 43 Anggota keluarga Lain Serumah Meninggal Dunia 30 1 N Paid Anggota keluarga Lain Serumah Meninggal Dunia
20160707 99991231 30 Ibadah Haji 30 30 N Paid Ibadah Haji

20160101 99991231 60 Sakit Dengan Surat Dokter 63 100 N Paid Sakit Dengan Surat Dokter

20160101 99991231 61 Sakit (1 Hari) Tidak Dengan Surat Dokter 65 100 N Paid Sakit (1-2 Hari) Tidak Dengan Surat Dokter
20160101 99991231 90 Ibadah Umroh 140 0 N Paid Ibadah Umroh

20160701 99991231 91 Umrch (Pertama Kali di LPPOM MU 95 0 N Paid Ibadah Umrch

20160107 99991231 99 Alpa (Potong Gaji) 99 100 N Unpaid Alpa

Kelompok absence type alpha akan dihitung dari hari yang tidak memiliki data attendance maupun data absence.

Port: http://demo.minovais.com:61124/Account/L ogin
Login: fiona, 123Aa

Mohon di deploy juga ke Silver Package dan Product
Port: http://demo.minovais.com:61199/
DB: 45.251.75.66 | MinovaES_Silver_Package

Port: http://remote.minovais.com:31133/
DB: remote.minovais.com,1442 | MinovaES_Product_2021

Terima kasih.

History

#1 - 08/08/2022 01:41 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#2 - 08/08/2022 01:46 PM - Fiona Avangeline Jonathan
- Subject changed from [Widget] - Attendance to [Widget] - TM Attendance

#3 - 10/21/2022 10:40 AM - Fiona Avangeline Jonathan
- Description updated

- Assignee changed from Saswanto Tampan to shofwan shiddiq

#4 - 11/16/2022 10:08 AM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Fiona Avangeline Jonathan

Dear, Fiona.

Widget Attendance sudah di deploy ke Silver Package, MinovaES Demo, dan Minova Product. Silahkan di test.

#5 - 11/16/2022 10:28 AM - Fiona Avangeline Jonathan
- File clipboard-202211161010-4ta9j.png added
- Status changed from QA Test to Closed

Done, terima kasih.
http://demo.minovais.com:61124/Account/Login
http://demo.minovais.com:61199/
http://remote.minovais.com:31133/

Monthly Attendance Recap

10

: [ 0

Present Permission Sick Alpha Annual Leave
Files
clipboard-202208081327-19fib.png 23.2 KB 08/08/2022 Fiona Avangeline Jonathan
clipboard-202208081328-yeowo.png 33.1 KB 08/08/2022 Fiona Avangeline Jonathan
clipboard-202208081330-vjgxqg.png 46.1 KB 08/08/2022 Fiona Avangeline Jonathan
clipboard-202211161010-4ta9j.png 11 KB 11/16/2022 Fiona Avangeline Jonathan
